be.ehealth.technicalconnector.cache

## Enum CacheFactory.ExpiryType

- java.lang.Object
- - java.lang.Enum<CacheFactory.ExpiryType>
  - - be.ehealth.technicalconnector.cache.CacheFactory.ExpiryType

- All Implemented Interfaces:
    Serializable, Comparable<CacheFactory.ExpiryType>
  Enclosing class:
    CacheFactory

      public static enum CacheFactory.ExpiryType
      extends Enum<CacheFactory.ExpiryType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `TTL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheFactory.ExpiryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheFactory.ExpiryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CacheFactory.ExpiryType NONE

    - #### TTL

          public static final CacheFactory.ExpiryType TTL

  - ### Method Detail

    - #### values

          public static CacheFactory.ExpiryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheFactory.ExpiryType c : CacheFactory.ExpiryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheFactory.ExpiryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging TRUSSMAKER 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.